Установка Caffeine [Решено]

Изображение пользователя skyline.

Подскажите пожалуйста как установить Caffeine в Kubuntu 13.04(x86)???
Пробовал через PPA не запустился, пробовал через deb-пакет тоже самое.
Или подскажите альтернативу, другое решение проблемы с затуханием экрана во время просмотра онлайн видео.

0
DarkneSS - 30 Июль, 2013 - 21:16
0
Cyber_M - 31 Июль, 2013 - 14:45
Изображение пользователя Cyber_M.

smplayer умеет подавлять хранитель экрана

0
DarkneSS - 31 Июль, 2013 - 15:48
Изображение пользователя DarkneSS.

Удивительно, но на некоторых конфигурациях vlc умеет, а mplayer -- нет.

0
skyline - 31 Июль, 2013 - 20:04
Изображение пользователя skyline.

Это хорошо что плееры умеют подавлять хранитель экрана, но я 90% видео смотрю онлайн...
В гугле надыбал интересное решение:
Заходим в "Параметры системы" => "Поведение среды рабочего стола" => "Края экрана" и выбираем для одного из 8-ми "Действия для краев экрана" => "Запретить блокирование экрана"
Но мне это не помогло, либо я что-то не так сделал...хотя вроде бы все правильно и делал, назначил краю запрет блокировки, включил видео, загнал мышку в нужный угол а экран все равно погас через 10 минут.

0
DarkneSS - 31 Июль, 2013 - 21:47
Изображение пользователя DarkneSS.

В первом же комментарии я предложил вам рабочее и проверенное мной на флешплеере решение. Печально, что разработчики флешплеера не озаботились подавлением хранителя экрана, хотя, стоит признать, это не худшее их упущение :)

+4
kubuntuuser - 1 Август, 2013 - 13:37
Изображение пользователя kubuntuuser.

Вот ещё один вариант решения (если так можно выразится) проблемы с затуханием экрана во время просмотра онлайн видео: воспользоватся вот этой утилитой KaffeineTY. По сути эта утилита делает тоже самое что и скрипт fsproj предложенный DarkneSS. После установки KaffeineTY в Параметры системы --> Управление питанием появляется новый пункт:

.
Если кому нужно могу и собраный .deb пакет выложить.
0
skyline - 8 Август, 2013 - 21:02
Изображение пользователя skyline.

Выложите пожалуйста .deb пакет KaffeineTY.

+1
Fierta - 8 Август, 2013 - 21:41
Изображение пользователя Fierta.

Могу выложить только i386,машинки с установленной кубунтой AMD64 нет,поэтому собрать не могу,такой подойдет? Решил на всякий случай выложить может еще кому сгодится. kaffeinety_0.0.1-1_i386

0
skyline - 9 Август, 2013 - 14:13
Изображение пользователя skyline.

Огромное спасибо!
Мне как раз таки под i386 и надо =)

0
Лерыч - 14 Май, 2014 - 03:57
Изображение пользователя Лерыч.

А тем временем уже и version 0.0.3 имеется… Может тогда уж еще и его тоже соберете и выложите? ;)
А еще лучше, предлагаю все же DarkneSS-у его в свой реп запилить, для разнообразия, как альтернативу fullscreenprojpl. По-моему, годная утилитка…

+1
DarkneSS - 14 Май, 2014 - 06:36
Изображение пользователя DarkneSS.

Смотря сколько придётся кедопакетов пересобирать: сборочные зависимости из universe искаропки не даются.

Upd: Можете, пожалуйста, перезалить куда тарбол с исходниками, а то у меня chakra-linux.org не открывается чего-то.

Upd2: Пересобирать десяток минимум пакетов, один из которых — буст (кто собирал, тот поймёт). Так что соберу только для тех, для кого удовлетворятся зависимости, т.е. пакеты будут, но только для Debian Stable и бунты 12.04, смотрите сами.

Upd3: Собственно вот. Потроха пакета, можете залить на ланчпад.

0
Лерыч - 15 Май, 2014 - 05:50
Изображение пользователя Лерыч.

DarkneSS, честно говоря, ничего не понял из Ваших слов… :))
Ну вот есть kaffeinety_0.0.3-1_i386.deb и kaffeinety_0.0.3-1_amd64.deb, собранные на 14.04 (второй, я так понял, тоже; если не прав, пусть Fierta поправит). Их ведь можно использовать для вашего репа, чтоб там и для 14.04 тоже было? Или я чего-то не догоняю?

0
DarkneSS - 15 Май, 2014 - 17:27
Изображение пользователя DarkneSS.

Чтобы собрать пакет для бунты новее 12.04, нужно пересобрать половину кед и буст. Я не очень хорошо понял суть данного конкретного вопроса.

+1
Лерыч - 16 Май, 2014 - 01:33
Изображение пользователя Лерыч.

Суть вопроса в том, что Вам уже не надо ничего собирать. Есть два уже собранных пакета для 14.04 — для i386 и для amd64 (ссылки постом выше). Может, достаточно положить Вам их в свой реп, чтобы кому надо, могли брать их оттуда, а не искать их по всему тырнету? Ну суть моего данного конкретного вопроса звучала примерно как-то так… :)
Смотрите, для 12.04 там уже есть; у 12.10 сегодня прекращается поддержка, так что для него уже можно не собирать; у 13.04 поддержка закончилась еще в январе, с ним все ясно; у 13.10 поддержка до июля, всего пару месяцев осталось, можно, пожалуй, пока забить на него или попросить собрать того, у кого есть возможность; для 14.04 пакеты собраны… Если я чего-то не того говорю, то сорри, я в этом не силен, говорю, как понимаю со своей колокольни. :)

+2
DarkneSS - 17 Май, 2014 - 11:55
Изображение пользователя DarkneSS.

Во-первых, это плохая идея для опенсорсного проекта, а не скайпа какого. А во-вторых, это технически невозможно, или я не знаю способа творить такое.

+1
Fierta - 17 Май, 2014 - 12:03
Изображение пользователя Fierta.

Поддерживаю DarkneSS - а,не стоит совать в реп эти кривые поделки собранные checkinstall - ом.Кому надо тот найдет их здесь или соберет их сам.Тем более это не состовляет какого либо труда.

0
Лерыч - 18 Май, 2014 - 00:49
Изображение пользователя Лерыч.

Ну вот теперь хоть что-то стало для меня проясняться в этом вопросе. Спасибо. :)

+1
Гость - 22 Июль, 2014 - 17:52

Было бы здорово сделать PPA на Launchpad чтобы безо всяких манипуляций можно было бы поставить его побыстрому каждому школьнику, кто умеет это делать - заморочитесь может, сделаете добро для народа? ;)

0
Гость - 23 Июль, 2014 - 14:29

Посоветуйте разработчику, в чем проблема?
http://kde-apps.org/content/show.php/KaffeineTY?content=159860

0
Fierta - 14 Май, 2014 - 11:21
Изображение пользователя Fierta.

Могу собрать но теперь только под 64 bit.Нужно?

0
Fogma - 14 Май, 2014 - 11:25
Изображение пользователя Fogma.

да , будьте добры. надоело уже, смотришь хоккей и на те - блокировка экрана и вводи пароль заново.

+3
Fierta - 14 Май, 2014 - 16:26
0
Fogma - 14 Май, 2014 - 19:55
Изображение пользователя Fogma.

благодарю
p.s: не работает, всё равно блокируется экран.
после установки нужна перезагрузка?
вот так у меня:

+1
Fierta - 14 Май, 2014 - 20:23
Изображение пользователя Fierta.

После установки нужен logout затем login.

0
Fogma - 14 Май, 2014 - 20:43
Изображение пользователя Fogma.

works like a charm
еще раз спасибо.

0
Fierta - 14 Май, 2014 - 20:50
Изображение пользователя Fierta.

Пожалуйста.
Пользуйтесь. :)

0
DarkneSS - 15 Май, 2014 - 00:18
Изображение пользователя DarkneSS.

kaffeinety собственно запустить может быть достаточно.

0
Fierta - 15 Май, 2014 - 00:25
Изображение пользователя Fierta.

Не знаю,не пробовал таким макаром.Ответил как было написано на kde-look в инструкции по эксплуатации.Хотя да,достаточно запустить процесс и перелогиниватся не нужно.

+1
Fierta - 14 Май, 2014 - 19:08
Изображение пользователя Fierta.

Под свою (если у Вас i386) можете сами собрать,там надо то для сборки установить это:
sudo apt-get install build-essential
и это:
sudo apt-get install kdebase-workspace-dev
ну и
sudo apt-get install cmake
sudo apt-get install checkinstall

0
Лерыч - 15 Май, 2014 - 06:34
Изображение пользователя Лерыч.

Спасибо, собрал. Вот: kaffeinety_0.0.3-1_i386.deb, если кому надо. Собирал на 14.04. Только почему-то на Chromium-е не сработал, на Опере проверил — работает, на лисе и ВЛЦ — тоже, а вот на Хромыче не хочет чо-та… :-/

0
Fierta - 6 Июнь, 2014 - 23:15
Изображение пользователя Fierta.

Только почему-то на Chromium-е не сработал
Пишу на будующее,нужно в параметрах прописать chromium-browse а не chromium.

0
Лерыч - 6 Июнь, 2014 - 23:43
Изображение пользователя Лерыч.

Пишу на будующее,нужно в параметрах прописать chromium-browse а не chromium.

Fierta, вот правда, так и было написано, после этого Вашего поста ничего не менял:

Однако, все равно в Хромыче не работает… :(
Думаю, может проблема в самом Хромыче? К примеру, в предыдущих его версиях видео открывалось на полный экран везде одинаково, а тут на некоторых сайтах оно как-то странно открывается — не на вообще весь экран, а на немного меньшую область, и при этом в панели задач еще один значок Хромыча появляется… :-/

+1
Fierta - 7 Июнь, 2014 - 03:41
Изображение пользователя Fierta.

На каких сайтах? Может ссыль? Посмотреть. Попробуйте пропишите вместо chromium-browser chromium-browse.
Попробуйте обновить хромиум из этого ппа (Stable) Packages in “chromium-browser 35-stable-daily” и еще вдруг захотите(beta) chromium-beta 36 только с бетой поосторожнее там ключи нужно импортировать, вообщем головняк.
Еще можете попробовать отключить "Use hardware acceleration when available"

0
Лерыч - 7 Июнь, 2014 - 13:56
Изображение пользователя Лерыч.

Ну вот всех сайтов точно не помню, но на Одноклассниках точно такое присутствует, можете там проверить.
Прописать chromium-browse вместо chromium-browser щас попробую, потом отпишусь, что получилось. Обновлять до 35-й версии пока стремаюсь, ибо с ней могут выскочить другие проблемы

UPD: Да, так получилось. Теперь работает, по крайней мере на Йутупе, 2 раза проверил. Спасибо, дружище!
Хм, странно, почему chromium-browse, если пакет chromium-browser называется?.. :-/

+1
Fierta - 7 Июнь, 2014 - 16:40
Изображение пользователя Fierta.

Не за что. :)
Хм, странно, почему chromium-browse, если пакет chromium-browser называется?.. :-/

Не по названию пакета а по названию процесса.
Обновлять до 35-й версии пока стремаюсь
А я обновлюсь ибо 34-й глючен,посмотрю что да как,в любом случае есть ппа-пурге.
P.S: Установил из ппа 35-й хромиум,проблем с xneur нет.Пока никаких глюков не наблюдаю.Даже получше будет чем 34-й.

0
Лерыч - 8 Июнь, 2014 - 02:46
Изображение пользователя Лерыч.

Не по названию пакета а по названию процесса.
Спасибо, буду знать.

Установил из ппа 35-й хромиум,проблем с xneur нет.Пока никаких глюков не наблюдаю.Даже получше будет чем 34-й.
Да, действительно, 35-й из этого РРА работает гораздо лучше. С хнеуром тоже все норм, ну разве что окромя этих глюков, которые как в 34-м были, так и в 35-м остались (хотя ни в одной предыдущей версии Хромыча у меня их отродясь не было). Контекстное меню перестало расползаться на пол-окна, и видео в тех же Одноклассниках стало разворачиваться на полный экран как положено, а не как раньше, так что теперь KaffeineTY работает на всех сайтах! Отлично, снова спасибо за совет!

0
Fierta - 8 Июнь, 2014 - 05:30
Изображение пользователя Fierta.

Мде... Появилась весьма неприятная, даже не знаю как назвать то ли бага, то ли фича.Вообщем суть в чем: когда прописаны приложения для которых экран не гаснет при просмотре фильма в параметрах kaffeinety.То происходит следующее, когда запущен хромиум или фф (вне зависимости смотришь ли ты флеш ролик или нет) при отключении питания от ноута яркость экрана должна снижатся до 60, но этого не происходит.Стоит закрыть, браузер и чуток подождать затем выдернуть шнурок питания как экран притухает. В версии 0.1 такоего косяка не было,оно и понятно ибо там была опция "only for app run in fullscreen mode as parameter".Что с этим делать пока ума не приложу.Походу придется перебираться на caffeine.

Установил caffeine,оказался он теперь без гуя.Запихнул в автозапуск и всё стало замечательно,при отключении шнурка питания экран притухает при запущенном фф или хромиум.Когда запущено флеш видео экран не гаснет.Вообщем то что я и хотел,пока всё гуд.

0
Лерыч - 8 Июнь, 2014 - 15:00
Изображение пользователя Лерыч.

Надо бы автору как-то отписать, если у кого есть такая возможность, пусть поправит…
У меня не ноут, так что я такой проблемы не заметил.

+1
Fierta - 8 Июнь, 2014 - 15:14
Изображение пользователя Fierta.

Я уже написал ему.И Вам в личку написал.Но Вы меня опередили.Написал ему по почте.Не знаю ответит или нет.Да и coffeine не айс,вообщем убрали гуй,настроек нет.Люблю книги читать,читалку не добавить что бы экран не притухал.Вообщем он висит как процесс и ничего не настроить,поставил старую версию 2.5 но это же мазохизм какой то руками включать и отключать.Вообщем пока лучше KaffeineTY нету ничего.Вот еще опций к ниму добавить для ноутов и цены бы ему не было.

0
Лерыч - 9 Июнь, 2014 - 02:11
Изображение пользователя Лерыч.

Fierta, мне на почту пришло уведомление, что Вы мне что-то в личку написали, но я туда попасть не могу, сайт пишет
Доступ запрещен
У вас нет доступа к этой странице.

Так что сорри, прочитать не могу… :(

UPD: А, уже увидел, что Вы мне туда написали по Вашему посту выше. :)
Отлично, будем ждать ответа от автора.

0
Fierta - 9 Июнь, 2014 - 02:13
Изображение пользователя Fierta.

А как связаться? )))
Видели мое сообщение?

0
ozim - 7 Ноябрь, 2013 - 17:49

под 64 деб пакетик можно?

0
Dexel - 7 Ноябрь, 2013 - 18:16
Изображение пользователя Dexel.

https://launchpad.net/~eugenesan/+archive/ppa/+files/caffeine_2.4.1%2B464%7Equantal1_all.deb

Только у меня на amd64 версия 2.4.1+478~raring1 установлена. Хотел найти тебе в репах - нету. Где его оторвал - не нашел :(

0
ozim - 7 Ноябрь, 2013 - 18:22

мне бы KaffeineTY

0
Dexel - 7 Ноябрь, 2013 - 18:32
Изображение пользователя Dexel.

cd
wget https://sites.google.com/site/mykubikfiles/kaffeinety_0.0.1-1_amd64.deb
sudo dpkg -i kaffeinety_0.0.1-1_amd64.deb

Источник:
MyKubik

0
ozim - 7 Ноябрь, 2013 - 18:44

http://joxi.ru/XbV7Utg5CbDyISa1tT8

0
kot040188 - 8 Май, 2016 - 22:13
Изображение пользователя kot040188.

[email protected]:~$ caffeine
/usr/bin/caffeine:25: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import GObject, Gtk, GLib

И просто висит в процессах. kaffeinety на пятых кедах тоже не работает, в нпараметрах сиситемы не появляется. Есть что-то, что работает?

0
DarkneSS - 8 Май, 2016 - 22:34
Изображение пользователя DarkneSS.

Попробуйте fullscreenprojpl.

0
likesoft - 21 Июнь, 2016 - 00:07
Изображение пользователя likesoft.

Вам помог совет от DarkneSS?
А то тоже вот ищу решение, и думаю стоит ли пробовать тот способ.
Есть сомнения, так как давненько тема была создана)

0
kot040188 - 21 Июнь, 2016 - 00:10
Изображение пользователя kot040188.

Руки не дошли. Там последние изменения 4 года назад…

0
likesoft - 21 Июнь, 2016 - 13:52
Изображение пользователя likesoft.

Ну да, мне тоже как то не охота "экспериментировать"
Пару дней назад только систему переустановил от "экспериментов" )))

0
DarkneSS - 21 Июнь, 2016 - 20:31
Изображение пользователя DarkneSS.

Вы эксперименты с экспериментами не мешайте. Установить пакет, запустить и потыкать настройки не эксперимент, поскольку всё обратимо через закрытие проги, вынос пакета и конфигов из системы. Вынос конфигов для эстетов, никакой реальной необходимости в нём нет.

-1
kot040188 - 21 Июнь, 2016 - 21:05
Изображение пользователя kot040188.

Ты меня конечно прости, но уж очень геморойное подключение у ppa созданных в obs. Да, я ленивый.

+1
DarkneSS - 22 Июнь, 2016 - 20:20
Изображение пользователя DarkneSS.

Мучиться с экраном, потому что лень 2 строки скопировать/выполнить,— это 5!

0
kot040188 - 22 Июнь, 2016 - 21:00
Изображение пользователя kot040188.

Я не особо мучаюсь. Очень редко это нужно.

0
dyug - 23 Июнь, 2016 - 13:26

оно еще как то кривовато работает. Например в синаптике ругается постоянно..

0
DarkneSS - 24 Июнь, 2016 - 06:23
Изображение пользователя DarkneSS.

Текст ругани в студию! ;) Может, ключик не не поставлен?..

0
dyug - 24 Июнь, 2016 - 12:37

да поставлен. Просто реп овнклоуда там живет, а ругается только синаптик, остальные (apt-get, aptitude) работают. И ставят обновления...

Сейчас уже я не покажу, ибо поставил дома NAS и унес все туда, овеклоуд был снесен, ибо часть заявленной его функциональности z не смог получить в рабочем виде.
Неработающая часть у меня
контакты с андроидом, закладки файрфокса, еще что-то, что тоже хотелось но не получилось.
Файлы, картинки, кино - работали.

0
likesoft - 21 Июнь, 2016 - 22:20
Изображение пользователя likesoft.

Попробовал поставить утилиту с вашего репозитория
Тянет за собой 12,7 мб пакетов.

Это так должно быть?

0
kot040188 - 22 Июнь, 2016 - 00:18
Изображение пользователя kot040188.

Для справки: фотографировать консоль не нужно, достаточно выделить весь текст, скопировать его и вставить сюда в тег code.

0
likesoft - 22 Июнь, 2016 - 12:51
Изображение пользователя likesoft.

Да, точно! Не подумал как то))

0
DarkneSS - 22 Июнь, 2016 - 20:19
Изображение пользователя DarkneSS.

Куча dev-пакетов не должна ставиться, поковыряю. Куча перла это нормально.

Upd: требуемый libwx-perl тянет libalien-wxwidgets-perl, который в свою очередь тянет все эти мегабайты, так что если хотитет пробовать, соглашайтесь.

0
DarkneSS - 21 Июнь, 2016 - 20:30
Изображение пользователя DarkneSS.

Дык а что менять, если всё работает?))

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры